rte_l2tpv2_msg_without_offset(3)

NAME
rte_l2tpv2_msg_without_offset

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

rte_be16_t length
rte_be16_t tunnel_id
rte_be16_t session_id
rte_be16_t ns
rte_be16_t nr

Detailed Description

L2TPv2 message Header contains all options except ns_nr(length, ns, nr). offset size and offset padding MUST be together.

Definition at line 168 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t length
length(16)

Definition at line 169 of file rte_l2tpv2.h.

  rte_be16_t tunnel_id
tunnel ID(16)

Definition at line 170 of file rte_l2tpv2.h.

  rte_be16_t session_id
session ID(16)

Definition at line 171 of file rte_l2tpv2.h.

  rte_be16_t ns
Ns(16)

Definition at line 172 of file rte_l2tpv2.h.

  rte_be16_t nr
Nr(16)

Definition at line 173 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.